automake
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Automake: problem report about SUBDIRS


From: Alexandre Duret-Lutz
Subject: Re: Automake: problem report about SUBDIRS
Date: Thu, 30 Jun 2005 23:19:27 +0200
User-agent: Gnus/5.110003 (No Gnus v0.3) Emacs/21.3.50 (gnu/linux)

>>> "Harald" == Harald Dunkel <address@hidden> writes:

 Harald> Hi folks,
 Harald> my Makefile.am deep inside a subdirectory contained this:

 Harald> :
 Harald> SUBDIRS = unittests \
 Harald> ../generic_datainterface \
 Harald> ../generic_resource_type \
 Harald> ../generic_memorymodel \
 Harald> ../hub_backend \
 Harald> ../genesys_support \
 Harald> . \
 Harald> #      ../generic_int_type \
 Harald> #      ../multi_loader \
 Harald> #      ../ldb
        
 Harald> lib_LIBRARIES = \
 Harald> :

 Harald> There was no error message. But there was no SUBDIRS
 Harald> in the generated Makefile, either. The subdirs were not
 Harald> built.

Thanks for the report.  I'm installing the following fix on HEAD
and branch-1-9.


2005-06-30  Alexandre Duret-Lutz  <address@hidden>

        * automake.in (read_am_file): Correctly diagnose comments following
        trailing backslash.
        * tests/commen10.test: New file.
        * tests/Makefile.am (TESTS): Add commen10.test.
        Report from Harald Dunkel.

Index: THANKS
===================================================================
RCS file: /cvs/automake/automake/THANKS,v
retrieving revision 1.272
diff -u -r1.272 THANKS
--- THANKS      30 Jun 2005 13:07:04 -0000      1.272
+++ THANKS      30 Jun 2005 21:16:42 -0000
@@ -88,6 +88,7 @@
 Gwenole Beauchesne      address@hidden
 H.J. Lu                        address@hidden
 H.Merijn Brand         address@hidden
+Harald Dunkel          address@hidden
 Harlan Stenn           address@hidden
 He Li                          address@hidden
 Henrik Frystyk Nielsen address@hidden
Index: automake.in
===================================================================
RCS file: /cvs/automake/automake/automake.in,v
retrieving revision 1.1606
diff -u -r1.1606 automake.in
--- automake.in 30 Jun 2005 11:07:35 -0000      1.1606
+++ automake.in 30 Jun 2005 21:16:43 -0000
@@ -6068,11 +6068,12 @@
        }
        elsif (/$COMMENT_PATTERN/o)
        {
+           error $where, "comment following trailing backslash"
+             if $saw_bk && $comment eq '';
+
            # Stick comments before the incoming macro or rule.
            $comment .= $spacing . $_;
            $spacing = '';
-           error $where, "comment following trailing backslash"
-             if $saw_bk && $comment eq '';
            $prev_state = IN_COMMENT;
        }
        elsif ($saw_bk)
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.590
diff -u -r1.590 Makefile.am
--- tests/Makefile.am   29 Jun 2005 21:08:19 -0000      1.590
+++ tests/Makefile.am   30 Jun 2005 21:16:44 -0000
@@ -99,6 +99,7 @@
 comment7.test \
 comment8.test \
 comment9.test \
+commen10.test \
 compile.test \
 compile_f90_c_cxx.test \
 compile_f_c_cxx.test \
Index: tests/commen10.test
===================================================================
RCS file: tests/commen10.test
diff -N tests/commen10.test
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/commen10.test 30 Jun 2005 21:16:44 -0000
@@ -0,0 +1,38 @@
+#! /bin/sh
+# Copyright (C) 2005  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+
+# Make sure comments following trailing backslashes are diagnosed.
+# Report from Harald Dunkel.
+
+. ./defs || exit 1
+
+set -e
+
+cat > Makefile.am << 'END'
+SUBDIRS = foo \
+# bar
+
+END
+
+mkdir foo
+
+$ACLOCAL
+AUTOMAKE_fails
+grep backslash stderr


-- 
Alexandre Duret-Lutz





reply via email to

[Prev in Thread] Current Thread [Next in Thread]